#
# spec file for package faxedit (Version 1.14    )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libjpeg qtdevel qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         faxedit
Copyright:    GPL
Group:        Applications/Editors
Provides:     faxedit 
Autoreqprov:  on
Summary:      A simple editor for pbm-files
Version:      1.14    
Release:      390
Source:       faxedit-1.14.tar.bz2
Patch:        faxedit-1.14.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Faxedit is a tool for editing pbm files like they are
usually output or expected by fax programs. Its purpose
is the easy answering of faxes. Parts of them can be cut out,
rotated or resized. Input of text and the printing of the
picture is also possible.

Authors:
--------
    Kalle Dalheimer <kalle@kde.org>

SuSE series: gra

%prep
%setup 
%patch 

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 755 faxedit $RPM_BUILD_ROOT/usr/X11R6/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc spec.txt test.pbm COPYRIGHT COPYING.GPL README
/usr/X11R6/bin/faxedit

%changelog -n faxedit
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Wed Jan 24 2001 - cihlar@suse.cz
- fixed to compile on ia64
* Fri Nov 03 2000 - cihlar@suse.cz
- fixed neededforbuild
* Wed Nov 01 2000 - cihlar@suse.cz
- bzipped sources
- fixed copyright tag
* Mon Apr 17 2000 - cihlar@suse.de
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Oct 05 1998 - ro@suse.de
- determine correct QTDIR / regenerate dependencies
* Thu Mar 26 1998 - choeger@suse.de
- new package 1.14
